#define namlength 41
#define titlength 41
#define MAXSOORT 200

typedef struct
{ char           titel[titlength];     /*titel van de plaat*/
  char           medium;               /*geluids-drager type bv c voor cassete*/
  long int       nummer;               /*nummer van de plaat of cassette plus tellerstand*/
  int            tellerst;             /*tellerstand van cassette*/
  char           zijde;                /*kant van de plaat*/
  int            soort;                /*muzieksoort*/
  int            artiest;              /*indexpointer naar artist*/
  long int       mediumketting;        /*volgende recordnummer met zelfde medium en nummer in TITELS.DAT*/
  long int       artiestketting;       /*volgende recordnummer met zelfde artiest in TITELS.DAT*/
} TITELDATA;

typedef struct
{ char           artiest[namlength];   /*naam van de artist*/
  long int       titelindex;           /*wijzer naar eerste record voor deze artiest in TITELS.DAT*/
} ARTIESTDATA;

typedef struct
{ long int       cdnummer;             /*wijzer naar TITELS.DAT voor CD*/
  long int       lpnummer;             /*wijzer naar TITELS.DAT voor LP*/
  long int       msnummer;             /*wijzer naar TITELS.DAT voor maxisingel*/
  long int       epnummer;             /*wijzer naar TITELS.DAT voor single*/
  long int       casnummer;            /*wijzer naar TITELS.DAT voor audiocassette*/
  long int       vidnummer;            /*wijzer naar TITELS.DAT voor videocassette*/
} NUMMERDATA;
